
// Date.java
// Andrew Davison, March 2017, ad@fivedots.coe.psu.ac.th

/* Scroll today's date right to left across the board.
*/

import java.util.*;
import java.text.*;


public class Date
{

  public static void main(String[] args)
  {
    Screen scr = new Screen();
    SpriteStore ss = new SpriteStore(SpriteStore.MEDIUM);   

    Sprite today = ss.buildMsg(getDate());
    // today.print();   // for debugging

    Utils.play("gong");
    Utils.scrollLeft(scr, today);
    scr.close();
  } // end of main()


  private static String getDate()
  // return today's date as a formatted string
  { Calendar cal = Calendar.getInstance();
    Format formatter = new SimpleDateFormat("EEE, d MMM yyyy");
    return formatter.format(cal.getTime());
  }  // end of getDate()


}  // end of Date class

