
// Board.java
// Andrew Davison, March 2017, ad@fivedots.coe.psu.ac.th

/* Implemented by LedScreen.java and HIDScreen.java.
   Used by Screen.java
*/


import java.awt.*;


public interface Board
{
  void draw(char[][] scr);
      // a char array representing the screen;
      // '*' means the LED light is on, ' ' means off

  void close();

  boolean isAvailable();

  Dimension getBoardSize();
}

